Page MenuHomePhabricator

Flow: Fix phpunit failure in SpamBlacklistTest::testSpam
Closed, ResolvedPublic

Description

The assumptions of this test may need to be verified, fails with http://paste.debian.net/111811/

  1. Flow\Tests\SpamBlacklistTest::testSpam with data set #1 (Flow\Model\PostRevision, NULL, false)

Failed asserting that true matches expected false.

/srv/vagrant/mediawiki/extensions/Flow/tests/SpamBlacklistTest.php:61
/srv/vagrant/mediawiki/tests/phpunit/MediaWikiTestCase.php:133
/srv/vagrant/mediawiki/tests/phpunit/MediaWikiPHPUnitCommand.php:42
/srv/vagrant/mediawiki/tests/phpunit/phpunit.php:160


Version: unspecified
Severity: normal

Details

Reference
bz68655

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz68655.
bzimport added a subscriber: Unknown Object (MLST).

Seems to be a bad relationship between Flow and AbuseFilter?

Added to backlog: https://trello.com/c/5pdNM3oi

Thanks for the report!

EBernhardson triaged this task as Normal priority.Dec 11 2014, 1:04 AM
EBernhardson claimed this task.
EBernhardson set Security to None.

Change 179035 had a related patch set uploaded (by EBernhardson):
Fix phpunit failure in SpamBlacklistTest::testSpam

https://gerrit.wikimedia.org/r/179035

Patch-For-Review

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:25 AM

Change 179035 merged by jenkins-bot:
Fix phpunit failure in SpamBlacklistTest::testSpam

https://gerrit.wikimedia.org/r/179035

Quiddity closed this task as Resolved.Jan 28 2015, 7:40 PM
Nemo_bis removed a subscriber: Nemo_bis.Feb 1 2015, 5:23 PM